Page MenuHomePhabricator

Add in Phabricator quarterly milestones for RelEng
Closed, ResolvedPublic

Description

Phabricator Deadline project types (show in green) which are being used by the ECT team for their monthly sprint. I think we could use such Phabricator tags for our team quarterly goal.

Example usage:

https://phabricator.wikimedia.org/tag/ect-november-2014/

We probably want to have the deadline in advance so we can plan tasks over several quarters. I would come with:

  • #releng-2014-q4
  • #releng-2015-q1
  • #releng-2015-q2
  • #releng-2015-q3
NOTE: I am using the civil quarters though we might want to use the fiscal years quarters instead.

Event Timeline

hashar renamed this task from Add in Phabricator quarterly milestone for RelEng to Add in Phabricator quarterly milestones for RelEng.
hashar raised the priority of this task from to Needs Triage.
hashar updated the task description. (Show Details)
hashar changed Security from none to None.
hashar added subscribers: hashar, greg.
Aklapper added a subscriber: Aklapper.
Qgil added a subscriber: Qgil.Nov 28 2014, 7:51 AM

I have been thinking about quarterly (and monthly) tags myself. Should we consider the creation of generic #2015-Q1 type of tags for general use? Then Release-Engineering-Team and anybody else could query them in combination with their own projects.

Qgil triaged this task as Medium priority.Dec 1 2014, 11:54 AM
Aklapper claimed this task.Dec 4 2014, 2:37 AM

I think in this case I'd also favor generic quarterly tags. If hashar does not say No. :)

I have filled this task on my first day of Phabricator, it is attended to discuss about replacing our Wiki page of goals. So that is merely for RelEng discussion.

During our last checkin, we had no clue yet how to organize our milestones in Phabricator :-D

Feel free to create generic tags if it can be useful, we might come up with more specific tags for our team.

The context of those Release Engineering quarterly goals is https://www.mediawiki.org/wiki/Wikimedia_Engineering/2014-15_Goals

Meaning: at least every WMF Enginnering and Product team has quarterly goals. Therefore these generic tags for quarters should be useful for these teams at least. As Andre says, if you want to see only those affecting your project(s), you can filter those with a saved query.

I find these tags for quarters useful, but I don't want to push for them if I'm the only one panning to use them.

(And for the records: Project descriptions need to be clear that such quarters refer to Gregorian calendar and not to some fiscus year of some random country.)

greg added a comment.Dec 4 2014, 6:50 PM
  1. I'm fine with generic wmf quarterly goal workboards, but I don't think we should do it until other teams agree that it's what we all should use to track wmf teams' quarterly goals (as reflected on eg https://www.mediawiki.org/wiki/Wikimedia_Engineering/2014-15_Goals)
  1. Regardless of 1, having team specific quarterly goal projects (in addition to those described in #1) would be my preference. I don't think the "just use a saved query" workaround is sufficient for the teams' needs (at least my team's). Just as some teams use projects like https://phabricator.wikimedia.org/tag/ect-january-2015/, other teams should have the option of creating quarterly projects.
  1. We (Release-Engineering-Team) haven't finalized *how* we're doing all of this yet, so anything at this point is probably premature :)
Aklapper lowered the priority of this task from Medium to Low.Dec 5 2014, 1:30 AM
In T75729#819256, @greg wrote:

Just as some teams use projects like https://phabricator.wikimedia.org/tag/ect-january-2015/, other teams should have the option of creating quarterly projects.

ECT-January-2015 is a sprint project. Anybody can create sprint projects at will without having to announce anything to Project-Creators. Therefore, if you want to create #releng-2014-q4 as sprint project (and not as tag), then you can just go ahead.

This is actually a good idea. If i.e. @Eloquence and Damon want to get all the high level WMF tasks of a quarter under the same umbrella, they could just create the sprint project, associate all the related tasks accordingly and create a workboard with columns like i.e. Not Started, In Progress, Delayed...

If you agree, we can forget about the generic quarterly goals for now, and resolve this task.

PS: If we create quarterly sprints, I would still consider using the Gregorian / natural numbers for quarters. Most humans in this planet won't understand that "2015 Q1" starts in July...

greg added a comment.Dec 5 2014, 4:51 PM

(everything else is fine)

In T75729#820756, @Qgil wrote:

PS: If we create quarterly sprints, I would still consider using the Gregorian / natural numbers for quarters. Most humans in this planet won't understand that "2015 Q1" starts in July...

Just to nit-pick: that's something that needs to be decided by Lila, not us :) SOOOOOO many places on the wiki would need to be changed

Qgil added a comment.Dec 5 2014, 5:35 PM

#Jan-Mar-2015 :)

Qgil closed this task as Resolved.Dec 8 2014, 9:20 PM

Conclusion to the initial request: sure, please create quarterly milestones for your team as you wish. Just use the 'Sprint' label style and remember https://www.mediawiki.org/wiki/Phabricator/Creating_and_renaming_projects#Guidelines

hashar reopened this task as Open.Dec 9 2014, 8:32 AM

Reopening, since that task is for our team to discuss about milestones.

Aklapper removed Aklapper as the assignee of this task.Jan 26 2015, 7:01 PM
Aklapper added a project: Project-Admins.

So if #releng-2015-q2 and #releng-2015-q3 is wanted, please go ahead and create them (deadline icon, green color), or close this task as declined for the time being and discuss preferences (or preferred practices) first?

There are several RelEng team members who are members of Project-Admins and can create those projects whenever wanted; hence unassigning myself.

@greg seems you have the possibility to create milestones in Phabricator. I have filled that task following a team meeting we had a few months ago.

Aklapper changed the task status from Open to Stalled.Feb 12 2015, 4:53 PM

Setting status to stalled as it looks like folks/teams need to discuss what they actually want (but maybe that discussion has taken place and I'm just not aware of it).
Please reset the task status to "open" once that has happened and a result is known.

greg closed this task as Resolved.Feb 24 2015, 1:03 AM
greg claimed this task.

First one created: # releng-201415-q3

Closing.

First one created: # releng-201415-q3

I've added "(January-March 2015)" to the description.

greg added a comment.Feb 24 2015, 3:59 PM

First one created: # releng-201415-q3

I've added "(January-March 2015)" to the description.

:)

greg moved this task from INBOX to Done on the Release-Engineering-Team board.Feb 24 2015, 11:35 PM
Restricted Application added a project: User-greg. · View Herald TranscriptMay 20 2016, 10:20 PM